#!/usr/bin/env python
#
# Copyright (C) 2012 CS-SI. All Rights Reserved.
# Author: Jean-Charles ROGEZ <jean-charles.rogez@c-s.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING. If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#

import os, glob
from distutils.core import setup
from distutils.command.install import install

_VERSION="0.9.2"

class my_install(install):
   def init_siteconfig(self):
        config = open("PreludeNotify/siteconfig.py", "w")
        print >> config, "prefix = '%s'" % os.path.abspath(self.prefix)
        print >> config, "conf_dir = '/etc/prelude-notify'"
        print >> config, "version = '%s'" % _VERSION
        config.close()

   def run(self):
        os.umask(022)
        self.init_siteconfig()
        install.run(self)



setup(name="prelude-notify",
      version=_VERSION,
      maintainer = "Alexandre De Dommelin",
      maintainer_email = "adedommelin@tuxz.net",
      license = "GPL",
      description = "Notification project for desktop users of Prelude IDS",
      long_description = """Prelude-notify is a desktop oriented application that works as a
monitoring tool that capture events from prelude manager using the
prelude connection pool event checker. Its purpose is to help security
managers and/or administrators to see in real time what's going on in
their network.
""",
      url = "http://www.prelude-ids.com",
      packages=[ 'PreludeNotify' ],
      data_files=[ ("share/prelude-notify/themes/default", glob.glob("pixmaps/themes/default/*")),
                   ("share/prelude-notify/themes/default/tray", glob.glob("pixmaps/themes/tray/*")),
                   ("share/applications", ["prelude-notify.desktop"]),
                   ("/etc/prelude-notify", ["prelude-notify.conf"]) ],
      scripts=[ "prelude-notify" ],
      cmdclass={ 'install': my_install },
      classifiers=[
      "Development Status :: 4 - Beta",
      "Topic :: Security",
      "License :: OSI Approved :: GNU General Public License (GPL)",
      ],
      )
